"Build failed" usign makechrootpkg

Make a PKGBUILD? Submit it here for user review and possible placement into the repository.

"Build failed" usign makechrootpkg

Postby asbachb » Tue Sep 08, 2015 6:13 pm

Hi,

I did some changes to the PKGBUILD of kodi-imx. In order to validate the build works I tried to setup a chroot environment (according https://wiki.archlinux.org/index.php/De ... ean_Chroot) and build the package using makechrootpkg. The problem: the build fails with an error which is not very specific:

[root@alarm kodi-imx]# makechrootpkg -c -r /home/alarm/chroot
==> Creating clean working copy [alarm]...done
==> Making package: kodi 15.1-1 (Tue Sep 8 18:02:52 UTC 2015)
==> Retrieving sources...
-> Downloading kodi-imx-15.1-Isengard.tar.gz...
% Total % Received % Xferd Average Speed Time Time Time Current
Dload Upload Total Spent Left Speed
100 124 0 124 0 0 180 0 --:--:-- --:--:-- --:--:-- 179
100 58.6M 100 58.6M 0 0 145k 0 0:06:53 0:06:53 --:--:-- 154k
-> Found imx-hdmi-soc.conf
-> Found imx-spdif.conf
-> Found kodi.service
-> Found polkit.rules
-> Found kodi.conf
==> Validating source files with sha256sums...
kodi-imx-15.1-Isengard.tar.gz ... Passed
imx-hdmi-soc.conf ... Passed
imx-spdif.conf ... Passed
kodi.service ... Passed
polkit.rules ... Passed
kodi.conf ... Passed
==> ERROR: Build failed, check /home/alarm/chroot/alarm/build


I already started the command using sh -x. But I can't extract an information out of the log.

+ chmod 440 /home/alarm/chroot/alarm/etc/sudoers.d/builduser-pacman
+ printf '#!/bin/bash\n'
+ declare -f _chrootbuild
+ printf _chrootbuild
+ printf ' %q' -s --noconfirm -L --holdver
+ printf ' || exit\n'
+ false
+ chmod +x /home/alarm/chroot/alarm/chrootbuild
+ arch-nspawn /home/alarm/chroot/alarm --bind-ro=/home/alarm/archlinuxarm-pkgbuilds/alarm/kodi-imx:/startdir_host --bind-ro=/home/alarm/archlinuxarm-pkgbuilds/alarm/kodi-imx:/srcdest_host /chrootbuild
+ (( ret += 1 ))
+ false
+ (( ret != 0 ))
+ false
+ die 'Build failed, check %s/build' /home/alarm/chroot/alarm
+ (( 2 ))
+ error 'Build failed, check %s/build' /home/alarm/chroot/alarm
+ local 'mesg=Build failed, check %s/build'
+ shift
+ printf '==> ERROR: Build failed, check %s/build\n' /home/alarm/chroot/alarm
==> ERROR: Build failed, check /home/alarm/chroot/alarm/build
+ cleanup 255
+ [[ -n '' ]]
+ exit 255
+ trap_exit
+ local r=255
+ trap - EXIT INT QUIT TERM HUP
+ cleanup 255
+ [[ -n '' ]]
+ exit 255


Any ideas what the problem causes?
asbachb
 
Posts: 11
Joined: Fri Sep 04, 2015 10:41 pm

Re: "Build failed" usign makechrootpkg

Postby moonman » Tue Sep 08, 2015 6:28 pm

You can't build as root
Pogoplug V4 | GoFlex Home | Raspberry Pi B 512 | CuBox-i4 Pro | ClearFog | BeagleBone Black | Odroid U2 | Odroid C1 | Odroid XU4
-----------------------------------------------------------------------------------------------------------------------
[armv5] Updated U-Boot | |[armv5] How to install my.pogoplug.com service | [armv5] NAND Rescue System
moonman
Developer
 
Posts: 3089
Joined: Sat Jan 15, 2011 3:36 am
Location: Calgary, Canada

Re: "Build failed" usign makechrootpkg

Postby asbachb » Tue Sep 08, 2015 7:03 pm

Same result without root:

[alarm@alarm kodi-imx]$ makechrootpkg -c -r /home/alarm/chroot
[sudo] password for alarm:
==> Creating clean working copy [alarm]...done
==> Making package: kodi 15.1-1 (Tue Sep 8 19:02:30 UTC 2015)
==> Retrieving sources...
-> Found kodi-imx-15.1-Isengard.tar.gz
-> Found imx-hdmi-soc.conf
-> Found imx-spdif.conf
-> Found kodi.service
-> Found polkit.rules
-> Found kodi.conf
==> Validating source files with sha256sums...
kodi-imx-15.1-Isengard.tar.gz ... Passed
imx-hdmi-soc.conf ... Passed
imx-spdif.conf ... Passed
kodi.service ... Passed
polkit.rules ... Passed
kodi.conf ... Passed
==> ERROR: Build failed, check /home/alarm/chroot/alarm/build
[alarm@alarm kodi-imx]$
asbachb
 
Posts: 11
Joined: Fri Sep 04, 2015 10:41 pm

Re: "Build failed" usign makechrootpkg

Postby moonman » Tue Sep 08, 2015 7:13 pm

which devtools do you have installed? it needs to be devtools-alarm with arm stuff patched in
Pogoplug V4 | GoFlex Home | Raspberry Pi B 512 | CuBox-i4 Pro | ClearFog | BeagleBone Black | Odroid U2 | Odroid C1 | Odroid XU4
-----------------------------------------------------------------------------------------------------------------------
[armv5] Updated U-Boot | |[armv5] How to install my.pogoplug.com service | [armv5] NAND Rescue System
moonman
Developer
 
Posts: 3089
Joined: Sat Jan 15, 2011 3:36 am
Location: Calgary, Canada

Re: "Build failed" usign makechrootpkg

Postby asbachb » Tue Sep 08, 2015 10:14 pm

You're right. I had installed the default devtools. Replacing them with devtools-alarm solved the issue. Thanks!
asbachb
 
Posts: 11
Joined: Fri Sep 04, 2015 10:41 pm


Return to User-Submitted Packages

Who is online

Users browsing this forum: No registered users and 1 guest